Bug 1684181 (CVE-2019-0804) - CVE-2019-0804 WALinuxAgent: swapfile created with weak permissions
Summary: CVE-2019-0804 WALinuxAgent: swapfile created with weak permissions
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0804
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1684191 1684192 1684193 1688253 1688254 1688276 1711338
Blocks: 1684184
TreeView+ depends on / blocked
 
Reported: 2019-02-28 16:14 UTC by Laura Pardo
Modified: 2019-09-29 15:08 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:06:43 UTC


Attachments (Terms of Use)
Proposed upstream patch fixing the issue (6.98 KB, application/mbox)
2019-03-01 09:33 UTC, Vitaly Kuznetsov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1527 None None None 2019-06-18 17:20:39 UTC

Description Laura Pardo 2019-02-28 16:14:05 UTC
A vulnerability was found in WALinuxAgent. If the Agent is configured to enable a swapfile on the ephemeral drive (/mnt) then it is created with weak permissions (0644), making it readable by "group" and "other".

Comment 2 Vitaly Kuznetsov 2019-03-01 09:33:19 UTC
Created attachment 1539753 [details]
Proposed upstream patch fixing the issue

Comment 11 Laura Pardo 2019-03-06 12:58:13 UTC
Acknowledgments:

Name: Francis McBratney (Destinatech Limited)

Comment 17 Cedric Buissart 🐶 2019-03-13 12:03:25 UTC
Created WALinuxAgent tracking bugs for this issue:

Affects: epel-all [bug 1688254]
Affects: fedora-all [bug 1688253]

Comment 19 Andrej Nemec 2019-03-15 09:47:14 UTC
External References:

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-0804

Comment 22 errata-xmlrpc 2019-06-18 17:20:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1527 https://access.redhat.com/errata/RHSA-2019:1527

Comment 23 Product Security DevOps Team 2019-07-12 13:06:43 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-0804


Note You need to log in before you can comment on or make changes to this bug.